package cn.sikey.mcdisk.pojo;

import cn.sikey.framework.common.exception.enums.GlobalErrorCodeConstants;
import lombok.Data;

/**
 * @Author: nelson
 * @Date: 2025/5/29
 * @Description: 移动云盘返回结果
 */
@Data
public class McdiskResult<T> {

    private Integer code;
    private T data;
    private String message;

    public static <T> McdiskResult<T> success(T data) {
        McdiskResult mcdiskResult = new McdiskResult();
        mcdiskResult.code = GlobalErrorCodeConstants.SUCCESS.getCode();
        mcdiskResult.data = data;
        mcdiskResult.message = "成功";
        return mcdiskResult;
    }

}
